Skip to main content
PUT
/
client
/
showers
/
pair
/
{id}
Pair shower
curl --request PUT \
  --url https://api.orbital-systems.com/client/showers/pair/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.orbital-systems.com/client/showers/pair/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.orbital-systems.com/client/showers/pair/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "state": "<string>",
  "saved_water": 123,
  "saved_energy": 123,
  "sessions": 123,
  "latest_session": "<string>",
  "avg_temperature": 123,
  "avg_session_duration": 123,
  "filter_status": 123,
  "device_group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last_connected": "<string>",
  "last_disconnected": "<string>",
  "created_at": "<string>",
  "build_id": "<string>",
  "replace_uv": true,
  "is_cleaning_program_required": true,
  "clean_sensor_tank": true,
  "no_recirculation": true,
  "float_leak": true,
  "operating": {
    "cleaning_programs": 123,
    "inner_heat_treatments": 123,
    "outer_heat_treatments": 123,
    "sessions": 123,
    "sessions_since_cleaning_program": 123,
    "sessions_since_inner_heat_treatment": 123,
    "sessions_since_outer_heat_treatment": 123,
    "liters_since_last_descaling": 123
  },
  "profile": "<string>",
  "oas_revision": "<unknown>",
  "serial_number": "<string>",
  "wifi_ssid": "<string>",
  "installation_info": {
    "installation_name": "<string>",
    "installation_date": "<string>"
  },
  "installation_test": {
    "id": "<string>"
  },
  "type": "<string>",
  "base": 123,
  "control_dial_notifications": true,
  "hibernating": true,
  "updated_at": "<string>",
  "avg_water_recirculation_rate": 123,
  "descaling_status": 123,
  "role": "<string>"
}
{}
{}
{}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

The unique identifier for the shower

Response

Shower paired successfully

id
string<uuid>
owner
string<uuid>
name
string
state
string
saved_water
number
saved_energy
number
sessions
number
latest_session
string
avg_temperature
number
avg_session_duration
number
filter_status
number
device_group
string<uuid>
last_connected
string
last_disconnected
string
created_at
string
build_id
string
replace_uv
boolean
is_cleaning_program_required
boolean
clean_sensor_tank
boolean
no_recirculation
boolean
float_leak
boolean
operating
object
profile
string
oas_revision
any
serial_number
string
wifi_ssid
string
installation_info
object
installation_test
object
type
string
base
number
control_dial_notifications
boolean
hibernating
boolean
updated_at
string
avg_water_recirculation_rate
number
descaling_status
number
role
string